﻿using BA.Core.Configuration.FormBase.Renderers;
using BA.Core.CustomAttributes;
using BA.Core.DB;
using BA.Core.Models;
using $safeprojectname$.Configuration.Form.Controls;
using $safeprojectname$.DataProvider;
using $safeprojectname$.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace $safeprojectname$.Configuration.Form.Renderer
{
    /// <inheritdoc/>
    [FormControlRenderer(typeof(DataProviderCombobox))]
    public class DataProviderComboboxDefaultRenderer : EnumComboboxControlDefaultRenderer
    {
        /// <inheritdoc/>
        public override void EditMode()
        {
            // Setzen des Datenproviders auf Basis des controls.
            DataProviderCombobox control = (DataProviderCombobox)RenderParameters.Control;
            control.DataProviderProperties = new CDPEnumValuesNotUsedProperties
            {
                MasterGuid = EnumEngineTypes.MasterGuid,
                NotUsed = GuidSet.Parse(control.NotSelectableValues)
            };

            // Standard Combobox Renderer nutzen
            base.EditMode();
        }

        /// <inheritdoc/>
        public override void ReadMode()
        {
            // Standard Combobox Renderer nutzen
            base.ReadMode();
        }
    }
}