declare module BA.Ui.Controls {
    /**
     * Class used for all actions performed by Dialogs for DataIntegrationWidget
     * */
    class IntegrationWidgetSqlParameterConfigDialogEvents {
        /**
         * name of configuration Field
         * */
        private static FieldName;
        private static FormulaFieldName;
        private static ParameterNameFieldName;
        private static FocusControlName;
        static OpenQueryParametersConfigDialog(s: BAClientButtonProperty): void;
        /**
         * Function to be called when the dialog is either initialized or refreshed
         * */
        static InitDialog(sender: BAClientPopupControl): void;
        /**
         * Set field values to previous values
         * */
        private static SetFieldValues;
        /**
        * add single style rule to dialog
        * */
        static OnParameterAddClick(s: any): void;
        /**
         * remove single style rule from dialog
         * */
        static OnParameterRemoveClick(s: any): void;
    }
}
