declare module BA.Ui.Ribbon {
    class RibbonTools {
        private static ribbonInitialized;
        private static _BeforeUnloadListenerAdded;
        static Initialize(extraActions?: Function): void;
        static ForceNextInitialize(): void;
        static InitializeDragAndDrop(ribbon: BAClientRibbon): void;
        static InitializeCustomData(s: ASPxClientControl): void;
        static OptimizeTooltips(): void;
        static EvaluateRibbonItemVisibility<T extends BAClientRibbonItem | BAClientDetailGridMenuItem>(item: T, containedTypes: string, selectedNodeOrm: string, temporaryKey: Classes.Guid, grid: BAClientGridBase): boolean;
        private static EvaluateRibbonVisibility;
        private static EvaluateDetailVisibility;
        private static EnableOnlyInGridLocation;
        private static EnableOnlyForFormMode;
        private static EnableIfDataDashAttributeHasValue;
        private static EnableActionIfClientVariableIsTrue;
        private static EnableIfMethodReturnsTrue;
        private static IfClientControlHasValue;
        private static SelectedNodeIsOfOrmType;
        private static SelectedItemsCount;
        private static SupportedOrmTypeVisibility;
        private static EnableIfSelectedOrmIsOfSupportedTypes;
        private static EnableActionsIfTemporaryRecord;
        private static EnableActionIfValuesAreNotSame;
        private static EnableActionIfValuesAreSame;
        private static EnableActionIfAnyControlContainsAnyValue;
        private static EnableActionIfTrue;
        private static EnableActionIfUserHasRole;
        private static EnableActionIfValuesContains;
        private static EnableActionIfValuesNotContains;
        private static EnableIfUserHasRightsOverSelectedRowTypes;
        private static EnableIfUserHasRightsOverAnySelectedRowType;
        private static EnableIfUserHasRightsOverForm;
        private static NothingSelectedInDetailGrid;
        private static GridWidgetHasOrmParameter;
        private static GetFieldContentReadMode;
        static EnableActionIfTabIsNotDirty(ribbonItem: BAClientRibbonItem): boolean;
    }
}
